@import url('https://fonts.googleapis.com/css?family=Oswald|Poiret+One|Roboto&display=swap');

:root {
    font-family: 'Oswald', sans-serif;
    --main-color: #30332e;
    --main-transparent-color: rgba(48, 51, 46, 0.85);
    --text-color: #F2F2F2;
    --event-color: #bd632f;
    --top-shadow: inset 0px 12px 15px -10px #111;
    --bottom-shadow: inset 0px -12px 15px -10px #111;
    --item-shadow: 0 0 15px #111;
    --main-transition: .35s;
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
}

body {
    max-width: 1170px;
    margin: auto;
    background-color: var(--main-color);
    color: var(--text-color);
    box-shadow: var(--item-shadow);
}

header nav {
    display: flex;
    justify-content: space-between;
    min-height: 5rem;
    align-items: center;
    flex-wrap: wrap;
    box-shadow: var(--item-shadow);
}

header nav ul {
    background-color: var(--main-color);
    position: absolute;
    top: 5rem;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
    overflow: hidden;

}

header nav li a {
    display: block;
    padding: 1rem;
    text-decoration: none;
    text-transform: uppercase;
    color: var(--text-color);
    border-radius: 3px;
    transition: background-color var(--main-transition);
}

header nav li .active,
header nav li a:hover {
    background-color: var(--event-color);
}

header nav .logo {
    display: block;
    flex: 1;
    height: 3rem;
    margin-left: 1rem;
}

header nav .menu {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-height: 0;
    text-align: center;
    opacity: 0;
    transition: all .6s;
    z-index: 1000;
}

header nav .menu-icon {
    cursor: pointer;
    padding: 2rem 1.5rem;
    position: relative;
    user-select: none;
}

header nav .menu-icon .navicon {
    background: var(--text-color);
    display: block;
    height: 3px;
    position: relative;
    transition: background-color var(--main-transition);
    width: 1.5rem;
}

header nav .menu-icon .navicon:before,
header nav .menu-icon .navicon:after {
    background: var(--text-color);
    content: '';
    display: block;
    height: 100%;
    position: absolute;
    transition: all var(--main-transition);
    width: 100%;
}

header nav .menu-icon .navicon:before {
    top: 6px;
}

header nav .menu-icon .navicon:after {
    top: -6px;
}

header nav .menu-btn {
    display: none;
}

header nav .menu-btn:checked ~ .menu {
    max-height: 30rem;
    opacity: 1;
}

header nav .menu-btn:checked ~ .menu-icon .navicon {
    background: transparent;
}

header nav .menu-btn:checked ~ .menu-icon .navicon:before {
    transform: rotate(-45deg);
}

header nav .menu-btn:checked ~ .menu-icon .navicon:after {
    transform: rotate(45deg);
}

header nav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
header nav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
    top: 0;
}

@media (min-width: 760px) {

    header nav li a {
        padding: 1rem;
        margin: 0 2px;
    }

    header nav ul {
        width: auto;
        background: transparent;
        position: static;
    }

    header nav .logo {
        flex: 1;
    }

    header nav .menu {
        flex-direction: row;
        justify-content: flex-end;
        flex: 2;
        max-height: none;
        padding: .5rem 1rem;
        opacity: 1;
        z-index: 0;
    }
    
    header nav .menu-icon {
        display: none;
    }

}

.contacts {
    background-color: var(--main-color);
    padding: .7rem;
    width: 100%;
}

.contacts h2 {
    font-family: 'Poiret One', cursive;
    font-size: 1.7rem;
    text-align: center;
}

.contacts h2:after {
    content: "";
    display: block;
    width: 3rem;
    height: 2px;
    margin: 5px auto 0;
    background-color: var(--text-color);
    border-radius: 2px;
}

.contacts form input, textarea {
	display: block;
	width: 100%;
	height: 45px;
    border: none;
	border-bottom: 1px solid #c1c2c0;
    font-family: 'Oswald', sans-serif;
    font-size: 1rem;
	background: transparent;
    color: var(--text-color);
    resize: none;
    transition: border-bottom var(--main-transition);
}

.contacts form input::placeholder, textarea::placeholder {
    color: #c1c2c0;
}

.contacts form input:focus, textarea:focus {
    border: none;
    border-bottom: 2px solid var(--text-color);
    outline: none;
}

.contacts form textarea {
    margin-top: .5rem;
    height: 10rem;
}

.contacts form input.button {
    cursor: pointer;
    text-align: center;
    text-transform: uppercase;
    border: none;
    width: 10rem;
    margin: 1rem auto;
    background-color: var(--event-color);
    border-radius: 3px;
    box-shadow: var(--item-shadow);
    transition: background-color var(--main-transition);
}

.contacts form input.button:hover {
    background-color: var(--text-color);
    color: var(--main-color);
}

.contacts .contacts-info {
    text-align: center;
    padding: .5rem;
}

.contacts .contacts-info a {
    color: var(--text-color);
    text-decoration: none;
    border-radius: 2px;
    transition: all var(--main-transition);
    margin: .5rem;
    white-space: nowrap;
}

.contacts .contacts-info a:hover {
    color: var(--event-color);
}

.contacts .contacts-info a i {
    font-size: 1.2rem;
}

footer { 
    padding: 3rem 0;
    text-align: center;
}

footer a {
    text-decoration: none;
}

footer i {
    margin: 10px;
    font-size: 2rem;
    color: var(--text-color);
    transition: color var(--main-transition);
}

footer i:hover {
    color: var(--event-color);
}

footer ul {
    margin: 0;
    padding-bottom: 2rem;
    list-style: none;
}

footer ul li {
    padding: 3px;
    display: inline-block;
}

footer ul li a {
    text-decoration: none;
    text-transform: uppercase;
    color: var(--text-color);
    font-size: .9rem;
    transition: color var(--main-transition);
}

footer ul li a:hover {
    color: var(--event-color);
}